<?php
class Workflow {
    
  /**
  * Exporta los datos de usuarios
  * 
  * @return array
  */
    
  public function usuarios() {
    $servidor = "localhost";
    $usuario = "root";
    $pass = "humanes";
    $base_datos = "workflow";
    //Conexión al servidor de bases de datos
    // $conn = mysqli_connect($servidor, $usuario, $pass, $base_datos) or die("Imposible conectar");
    $conn = new mysqli($servidor, $usuario, $pass, $base_datos);

    /* comprobar la conexión */
    if (mysqli_connect_errno()) {
        printf("Falló la conexión: %s\n", mysqli_connect_error());
        exit();
    }
    
    $resul = $conn->query("SELECT * FROM usuario");
    
    $TodosUsuarios = mysqli_fetch_all($resul,MYSQLI_ASSOC);

    /* Se cierra la conexión cuando terminemos */
    /* liberar el conjunto de resultados */
    mysqli_free_result($resul);
    mysqli_close($conn);
    return $TodosUsuarios;
  }
}
?>
